io.netty.handler.proxy

## Class ProxyConnectException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.net.SocketException
        - - java.net.ConnectException
          - - io.netty.handler.proxy.ProxyConnectException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  HttpProxyHandler.HttpProxyConnectException

    public class ProxyConnectException
    extends ConnectException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ProxyConnectException()`
`ProxyConnectException(String msg)`
`ProxyConnectException(String msg, Throwable cause)`
`ProxyConnectException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ProxyConnectException

    public ProxyConnectException()

#### ProxyConnectException

    public ProxyConnectException(String msg)

#### ProxyConnectException

    public ProxyConnectException(Throwable cause)

#### ProxyConnectException

    public ProxyConnectException(String msg,
                                 Throwable cause)